TheSwamp

CAD Forums => CAD General => Topic started by: Artisan on November 18, 2004, 12:17:59 PM

Title: Hidden Polyline Question
Post by: Artisan on November 18, 2004, 12:17:59 PM
Ok, when I draw a closed polyline, like a rectangle for example, using the hidden linetype, my corners do not look right. Instead of little line segments forming 90 degree corners, they look more like a vertical line coming down and the horizontal not meeting it at the corner. Is there a setting or something I am missing here to make this happen? Or is it a scale factor issue?

Thanks
Title: Hidden Polyline Question
Post by: Kate M on November 18, 2004, 12:45:57 PM
Linetype generation -- I think the variable is pltypegen...or something like that. It only affects new polylines, not existing ones, but you can change it in Properties.
Title: Hidden Polyline Question
Post by: Artisan on November 18, 2004, 12:58:27 PM
Thanks Kate. Linetype generation is the variable that I am looking for. I was able to change it in properties, but I cannot find the correct name to type in at the command line to change the overall. Pltypegen is not the correct one. Thanks again.
Title: Hidden Polyline Question
Post by: M-dub on November 18, 2004, 01:00:28 PM
I just reproduced your problem but I haven't yet found a solution to it.  I believe you can get the pltypegen by using the PEDIT command and using the Ltype gen variable.
Title: Hidden Polyline Question
Post by: M-dub on November 18, 2004, 01:04:57 PM
Quote from: The AutoCAD Help File
Note  Different styles of endcaps and joins of objects with lineweight are displayed only in a full plot preview.


Look up 'Display Lineweights' in the help file.

You're looking for something like the Line Join Style found in plot styles, right?
Title: Hidden Polyline Question
Post by: Ken on November 18, 2004, 01:07:27 PM
I think the system variable you're looking for is PLINEGEN.

0  -  Generates polylines to start and end with a dash at each vertex.
1  -  Generates the linetype in a continuous pattern around the vertices of the polyline.

Ken
Title: Hidden Polyline Question
Post by: ronjonp on November 18, 2004, 01:45:48 PM
Here is a little lisp that will change all polylines lt generation to ON.

Code: [Select]
(defun c:plg( / s1)
(setq s1 (ssget "x"'((0 . "LWPOLYLINE"))))
(command ".pedit" "m" s1 "" "lt" "on" "")
(princ)
)